org.eclipse.viatra.cep.vepl.vepl

## Interface ComplexEventExpression

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    Atom
  All Known Implementing Classes:
    AtomImpl, ComplexEventExpressionImpl

      public interface ComplexEventExpression
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Complex Event Expression'.

  The following features are supported:

  - `Left`
  - `Right`
  - `Multiplicity`
  - `Timewindow`
  - `Neg Operator`
  See Also:
    `VeplPackage.getComplexEventExpression()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComplexEventExpression` | `getLeft()` Returns the value of the 'Left' containment reference.
    `AbstractMultiplicity` | `getMultiplicity()` Returns the value of the 'Multiplicity' containment reference.
    `NegOperator` | `getNegOperator()` Returns the value of the 'Neg Operator' containment reference.
    `org.eclipse.emf.common.util.EList<ChainedExpression>` | `getRight()` Returns the value of the 'Right' containment reference list.
    `Timewindow` | `getTimewindow()` Returns the value of the 'Timewindow' containment reference.
    `void` | `setLeft(ComplexEventExpression value)` Sets the value of the '`Left`' containment reference.
    `void` | `setMultiplicity(AbstractMultiplicity value)` Sets the value of the '`Multiplicity`' containment reference.
    `void` | `setNegOperator(NegOperator value)` Sets the value of the '`Neg Operator`' containment reference.
    `void` | `setTimewindow(Timewindow value)` Sets the value of the '`Timewindow`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLeft

          ComplexEventExpression getLeft()

      Returns the value of the 'Left' containment reference.

      If the meaning of the 'Left' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Left' containment reference.
      See Also:
        `setLeft(ComplexEventExpression)`, `VeplPackage.getComplexEventExpression_Left()`
      Generated:
      Model:
        containment="true"

    - #### setLeft

          void setLeft(ComplexEventExpression value)

      Sets the value of the '`Left`' containment reference.
      Parameters:
        `value` - the new value of the 'Left' containment reference.
      See Also:
        `getLeft()`
      Generated:

    - #### getRight

          org.eclipse.emf.common.util.EList<ChainedExpression> getRight()

      Returns the value of the 'Right' containment reference list. The list contents are of type `ChainedExpression`.

      If the meaning of the 'Right' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Right' containment reference list.
      See Also:
        `VeplPackage.getComplexEventExpression_Right()`
      Generated:
      Model:
        containment="true"

    - #### getMultiplicity

          AbstractMultiplicity getMultiplicity()

      Returns the value of the 'Multiplicity' containment reference.

      If the meaning of the 'Multiplicity' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Multiplicity' containment reference.
      See Also:
        `setMultiplicity(AbstractMultiplicity)`, `VeplPackage.getComplexEventExpression_Multiplicity()`
      Generated:
      Model:
        containment="true"

    - #### setMultiplicity

          void setMultiplicity(AbstractMultiplicity value)

      Sets the value of the '`Multiplicity`' containment reference.
      Parameters:
        `value` - the new value of the 'Multiplicity' containment reference.
      See Also:
        `getMultiplicity()`
      Generated:

    - #### getTimewindow

          Timewindow getTimewindow()

      Returns the value of the 'Timewindow' containment reference.

      If the meaning of the 'Timewindow' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Timewindow' containment reference.
      See Also:
        `setTimewindow(Timewindow)`, `VeplPackage.getComplexEventExpression_Timewindow()`
      Generated:
      Model:
        containment="true"

    - #### setTimewindow

          void setTimewindow(Timewindow value)

      Sets the value of the '`Timewindow`' containment reference.
      Parameters:
        `value` - the new value of the 'Timewindow' containment reference.
      See Also:
        `getTimewindow()`
      Generated:

    - #### getNegOperator

          NegOperator getNegOperator()

      Returns the value of the 'Neg Operator' containment reference.

      If the meaning of the 'Neg Operator' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Neg Operator' containment reference.
      See Also:
        `setNegOperator(NegOperator)`, `VeplPackage.getComplexEventExpression_NegOperator()`
      Generated:
      Model:
        containment="true"

    - #### setNegOperator

          void setNegOperator(NegOperator value)

      Sets the value of the '`Neg Operator`' containment reference.
      Parameters:
        `value` - the new value of the 'Neg Operator' containment reference.
      See Also:
        `getNegOperator()`
      Generated: